summaryrefslogtreecommitdiff
path: root/private
diff options
context:
space:
mode:
Diffstat (limited to 'private')
-rw-r--r--private/dovecot-pgsql/README0
-rwxr-xr-xprivate/dovecot-pgsql/dovecot-pgsql.SlackBuild111
-rw-r--r--private/dovecot-pgsql/dovecot-pgsql.info10
-rw-r--r--private/dovecot-pgsql/slack-desc19
-rw-r--r--private/dovecot-pigeonhole/README21
-rwxr-xr-xprivate/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild102
-rw-r--r--private/dovecot-pigeonhole/dovecot-pigeonhole.info10
-rw-r--r--private/dovecot-pigeonhole/slack-desc19
-rwxr-xr-xprivate/editline/editline.SlackBuild103
-rw-r--r--private/editline/editline.info10
-rw-r--r--private/editline/slack-desc19
-rw-r--r--private/hyperscan/README9
-rwxr-xr-xprivate/hyperscan/hyperscan.SlackBuild98
-rw-r--r--private/hyperscan/hyperscan.info10
-rw-r--r--private/hyperscan/slack-desc19
-rw-r--r--private/nix/README65
-rw-r--r--private/nix/config/rc.nix83
-rw-r--r--private/nix/doinst.sh25
-rw-r--r--private/nix/nix.SlackBuild118
-rw-r--r--private/nix/nix.info10
-rw-r--r--private/nix/slack-desc19
-rw-r--r--private/php-pgsql/README5
-rw-r--r--private/php-pgsql/doinst.sh16
-rw-r--r--private/php-pgsql/pdo_pgsql.ini2
-rw-r--r--private/php-pgsql/pgsql.ini21
-rwxr-xr-xprivate/php-pgsql/php-pgsql.SlackBuild138
-rw-r--r--private/php-pgsql/php-pgsql.info10
-rw-r--r--private/php-pgsql/slack-desc19
-rw-r--r--private/postfix-pgsql/README25
-rwxr-xr-xprivate/postfix-pgsql/postfix-pgsql.SlackBuild115
-rw-r--r--private/postfix-pgsql/postfix-pgsql.info10
-rw-r--r--private/postfix-pgsql/postfix.only.warn.regular.files.diff11
-rw-r--r--private/postfix-pgsql/postfix.script.starting.message.diff14
-rw-r--r--private/postfix-pgsql/slack-desc19
34 files changed, 1285 insertions, 0 deletions
diff --git a/private/dovecot-pgsql/README b/private/dovecot-pgsql/README
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/private/dovecot-pgsql/README
diff --git a/private/dovecot-pgsql/dovecot-pgsql.SlackBuild b/private/dovecot-pgsql/dovecot-pgsql.SlackBuild
new file mode 100755
index 0000000..d0446fb
--- /dev/null
+++ b/private/dovecot-pgsql/dovecot-pgsql.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Copyright 2006, 2010 Alan Hicks, Lizella, GA
+# Copyright 2013, 2014, 2015, 2016, 2017 Mario Preksavec, Zagreb, Croatia
+# Copyright 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2020 Eugen Wissner, Dachau, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dovecot-pgsql
+VERSION=${VERSION:-2.3.11.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM=dovecot
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --with-notify=inotify \
+ --without-pam \
+ --with-ldap=plugin \
+ --with-lucene \
+ --with-sql=plugin \
+ --with-pgsql \
+ --with-libcap \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make -C src/lib-sql libdriver_pgsql.la
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/dovecot/auth
+cp -a \
+ src/lib-sql/libdriver_pgsql.la \
+ src/lib-sql/.libs/libdriver_pgsql.so \
+ $PKG/usr/lib${LIBDIRSUFFIX}/dovecot/
+ln -s ../libdriver_pgsql.so $PKG/usr/lib${LIBDIRSUFFIX}/dovecot/auth/libdriver_pgsql.so
+
+strip --strip-unneeded $PKG/usr/lib${LIBDIRSUFFIX}/dovecot/libdriver_pgsql.so
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/dovecot-pgsql/dovecot-pgsql.info b/private/dovecot-pgsql/dovecot-pgsql.info
new file mode 100644
index 0000000..c2bbab5
--- /dev/null
+++ b/private/dovecot-pgsql/dovecot-pgsql.info
@@ -0,0 +1,10 @@
+PRGNAM="dovecot-pgsql"
+VERSION="2.3.11.3"
+HOMEPAGE="https://dovecot.org/"
+DOWNLOAD="https://www.dovecot.org/releases/2.3/dovecot-2.3.11.3.tar.gz"
+MD5SUM="f06f2272fad04e7b0207f8d00a291f66"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql"
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/private/dovecot-pgsql/slack-desc b/private/dovecot-pgsql/slack-desc
new file mode 100644
index 0000000..3827c3c
--- /dev/null
+++ b/private/dovecot-pgsql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dovecot-pgsql: dovecot (IMAP and POP3 server)
+dovecot-pgsql:
+dovecot-pgsql: Dovecot is an open source IMAP and POP3 server for Linux/UNIX-like
+dovecot-pgsql: systems, written with security foremost in mind.
+dovecot-pgsql:
+dovecot-pgsql: Dovecot can work with standard mbox and Maildir formats and it is
+dovecot-pgsql: fully compatible with UW-IMAP and Courier IMAP servers'
+dovecot-pgsql: implementation of them, as well as mail clients accessing the
+dovecot-pgsql: mailboxes directly.
+dovecot-pgsql:
+dovecot-pgsql:
diff --git a/private/dovecot-pigeonhole/README b/private/dovecot-pigeonhole/README
new file mode 100644
index 0000000..84995d1
--- /dev/null
+++ b/private/dovecot-pigeonhole/README
@@ -0,0 +1,21 @@
+Pigeonhole is the name of the project that adds support for the Sieve language
+(RFC 5228) and the ManageSieve protocol (RFC 5804) to the Dovecot Secure
+IMAP/POP3 Server.
+
+Sieve language specification and scripts provide mail filtering capabilities on
+the server side for individual users. Each user can edit and upload (using
+ManageSieve) sieve scripts to filter mail based on supported Sieve language
+extensions within pigeonhole.
+
+The Pigeonhole project provides Sieve support as a plugin to Dovecot's Local
+Delivery Agent (LDA). The ManageSieve protocol is provided is an additional
+service, next to Dovecot's own POP3 and IMAP services.
+
+To configure pigeonhole, use sieve and managesieve config files installed with
+dovecot documentation. Copy 20-managesieve.conf and 90-sieve.conf files to
+/etc/dovecot/conf.d and edit them according to your needs.
+
+For additional help with configuration, see:
+
+ http://wiki2.dovecot.org/Pigeonhole/Sieve
+ http://wiki2.dovecot.org/Pigeonhole/ManageSieve
diff --git a/private/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild b/private/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
new file mode 100755
index 0000000..f5115a4
--- /dev/null
+++ b/private/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware Package Build Script for pigeonhole
+
+# Copyright 2010, 2011, 2013 Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright 2013, 2014, 2015, 2016, 2017, 2018, 2019 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dovecot-pigeonhole
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=dovecot-2.3-pigeonhole
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/dovecot-2.3.11-pigeonhole-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-dovecot=/usr/lib${LIBDIRSUFFIX}/dovecot \
+ --with-docs \
+ --with-managesieve \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING* INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/dovecot-pigeonhole/dovecot-pigeonhole.info b/private/dovecot-pigeonhole/dovecot-pigeonhole.info
new file mode 100644
index 0000000..83de02e
--- /dev/null
+++ b/private/dovecot-pigeonhole/dovecot-pigeonhole.info
@@ -0,0 +1,10 @@
+PRGNAM="dovecot-pigeonhole"
+VERSION="0.5.4"
+HOMEPAGE="http://pigeonhole.dovecot.org/"
+DOWNLOAD="http://pigeonhole.dovecot.org/releases/2.3/dovecot-2.3-pigeonhole-0.5.4.tar.gz"
+MD5SUM="331a7554d6b12ac2cca760146934fc5b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dovecot"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/private/dovecot-pigeonhole/slack-desc b/private/dovecot-pigeonhole/slack-desc
new file mode 100644
index 0000000..d804d56
--- /dev/null
+++ b/private/dovecot-pigeonhole/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dovecot-pigeonhole: dovecot-pigeonhole (Sieve & Managesieve support for Dovecot)
+dovecot-pigeonhole:
+dovecot-pigeonhole: Pigeonhole is the name of the project that adds support for the Sieve
+dovecot-pigeonhole: language and the ManageSieve protocol to the Dovecot Secure IMAP/POP3
+dovecot-pigeonhole: Server.
+dovecot-pigeonhole:
+dovecot-pigeonhole: Homepage: http://pigeonhole.dovecot.org/
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole:
diff --git a/private/editline/editline.SlackBuild b/private/editline/editline.SlackBuild
new file mode 100755
index 0000000..243563e
--- /dev/null
+++ b/private/editline/editline.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for editline
+
+# Copyright 2020 Eugene Wissner Dachau, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=editline
+VERSION=${VERSION:-1.17.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE INSTALL.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/editline/editline.info b/private/editline/editline.info
new file mode 100644
index 0000000..a010159
--- /dev/null
+++ b/private/editline/editline.info
@@ -0,0 +1,10 @@
+PRGNAM="editline"
+VERSION="1.17.1"
+HOMEPAGE="https://troglobit.com/projects/editline/"
+DOWNLOAD="https://github.com/troglobit/editline/releases/download/1.17.1/editline-1.17.1.tar.xz"
+MD5SUM="ec25530e02f0926909bd0f176528019e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/private/editline/slack-desc b/private/editline/slack-desc
new file mode 100644
index 0000000..056a2f0
--- /dev/null
+++ b/private/editline/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+editline: editline (a small replacement for GNU readline() for UNIX)
+editline:
+editline: This is a small line editing library. It can be linked into almost any
+editline: program to provide command line editing and history functions. It is
+editline: call compatible with the FSF readline library, but at a fraction of
+editline: the size, and as a result fewer features. It is also distributed under
+editline: a much more liberal License.
+editline:
+editline:
+editline:
+editline:
diff --git a/private/hyperscan/README b/private/hyperscan/README
new file mode 100644
index 0000000..f3e2895
--- /dev/null
+++ b/private/hyperscan/README
@@ -0,0 +1,9 @@
+hyperscan (A high-performance multiple regex matching library)
+
+Hyperscan is a high-performance multiple regex matching library. It
+follows the regular expression syntax of the commonly-used PCRE library,
+yet functions as a standalone library with its own API written in C.
+
+Hyperscan uses hybrid automata techniques to allow simultaneous matching
+of large numbers (up to tens of thousands) of regular expressions, as
+well as matching of regular expressions across streams of data.
diff --git a/private/hyperscan/hyperscan.SlackBuild b/private/hyperscan/hyperscan.SlackBuild
new file mode 100755
index 0000000..5199972
--- /dev/null
+++ b/private/hyperscan/hyperscan.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for Hyperscan
+
+# Copyright 2018, 2019 Ebben Aries <e@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hyperscan
+VERSION=${VERSION:-5.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ -DBUILD_STATIC_AND_SHARED=ON \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md COPYING LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/hyperscan/hyperscan.info b/private/hyperscan/hyperscan.info
new file mode 100644
index 0000000..1c80e9e
--- /dev/null
+++ b/private/hyperscan/hyperscan.info
@@ -0,0 +1,10 @@
+PRGNAM="hyperscan"
+VERSION="5.3.0"
+HOMEPAGE="https://www.hyperscan.io"
+DOWNLOAD="https://github.com/intel/hyperscan/archive/v5.3.0/hyperscan-5.3.0.tar.gz"
+MD5SUM="6acab4b242dd81b3cede211d4a9e7101"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ragel"
+MAINTAINER="Ebben Aries"
+EMAIL="e@dscp.org"
diff --git a/private/hyperscan/slack-desc b/private/hyperscan/slack-desc
new file mode 100644
index 0000000..8a496fd
--- /dev/null
+++ b/private/hyperscan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hyperscan: hyperscan (regex matching library)
+hyperscan:
+hyperscan: Hyperscan is a high-performance multiple regex matching library. It
+hyperscan: follows the regular expression syntax of the commonly-used PCRE
+hyperscan: library, yet functions as a standalone library with its own API
+hyperscan: written in C.
+hyperscan:
+hyperscan:
+hyperscan: Homepage: https://www.hyperscan.io/
+hyperscan:
+hyperscan:
diff --git a/private/nix/README b/private/nix/README
new file mode 100644
index 0000000..dcfdc63
--- /dev/null
+++ b/private/nix/README
@@ -0,0 +1,65 @@
+nix (functional package manager)
+
+Nix is a purely functional package manager. This means that it treats packages
+like values in purely functional programming languages such as Haskell -- they
+are built by functions that don't have side-effects, and they never change
+after they have been built. Nix stores packages in the Nix store, usually the
+directory /nix/store, where each package has its own unique subdirectory such
+as
+
+ /nix/store/b6gvzjyb2pg0kjfwrjmg1vfhh54ad73z-firefox-33.1/
+
+where b6gvzjyb2pg0... is a unique identifier for the package that captures all
+its dependencies (it's a cryptographic hash of the package's build dependency
+graph).
+
+Nix may be run in single or multi-user mode (which requires the nix-daemon).
+The following sets up multi-user mode.
+
+To have the nix daemon start and stop with your host, add to /etc/rc.d/rc.local:
+
+ if [ -x /etc/rc.d/rc.nix ]; then
+ /etc/rc.d/rc.nix start
+ fi
+
+and to /etc/rc.d/rc.local_shutdown (creating it if needed):
+
+ if [ -x /etc/rc.d/rc.nix ]; then
+ /etc/rc.d/rc.nix stop
+ fi
+
+The daemon requires users for building the nix packages, which should be added
+under the 'nixbld' group.
+
+ # groupadd -g 314 nixbld
+ # for n in $(seq 1 10); do useradd -c "Nix build user $n" \
+ # -d /var/empty -g nixbld -G nixbld -M -N -r -s "$(which nologin)" \
+ # nixbld$n; done
+
+Restricting access to the daemon is acheived by setting file permissions for
+the daemon's socket's folder.
+
+ # groupadd nix-users
+ # chgrp nix-users /nix/var/nix/daemon-socket
+ # chmod ug=rwx,o= /nix/var/nix/daemon-socket
+
+Correct permissions must also be set for the following profile directories to
+give users access.
+
+ # mkdir -p /nix/var/nix/profiles/per-user
+ # chgrp nix-users /nix/var/nix/profiles/per-user
+ # chmod go+wt /nix/var/nix/profiles/per-user
+
+ # mkdir -p /nix/var/nix/gcroots/per-user
+ # chgrp nix-users /nix/var/nix/gcroots/per-user
+ # chmod go+wt /nix/var/nix/gcroots/per-user
+
+For setup a user to use nix, add him to the nix-users group and load these
+lines on login (via $HOME/.profile):
+
+ export NIX_REMOTE=daemon
+ source /etc/profile.d/nix.sh
+
+If you have patches email me, or send a pull request via github:
+
+ https://github.com/PragmaticCypher/nix.SlackBuild
diff --git a/private/nix/config/rc.nix b/private/nix/config/rc.nix
new file mode 100644
index 0000000..8285293
--- /dev/null
+++ b/private/nix/config/rc.nix
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Short-Description: Create lightweight, portable, self-sufficient containers.
+# Description:
+# Docker is an open-source project to easily create lightweight, portable,
+# self-sufficient containers from any application. The same container that a
+# developer builds and tests on a laptop can run at scale, in production, on
+# VMs, bare metal, OpenStack clusters, public clouds and more.
+
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
+
+BASE=nix-daemon
+
+UNSHARE=/usr/bin/unshare
+NIX=/usr/bin/$BASE
+NIX_PIDFILE=/var/run/$BASE.pid
+NIX_LOG=/var/log/nix.log
+NIX_OPTS=
+
+if [ -f /etc/default/$BASE ]; then
+ . /etc/default/$BASE
+fi
+
+# Check nix is present
+if [ ! -x $NIX ]; then
+ echo "$NIX not present or not executable"
+ exit 1
+fi
+
+nix_start() {
+ echo "starting $BASE ..."
+ if [ -x ${NIX} ]; then
+ # If there is an old PID file (no nix-daemon running), clean it up:
+ if [ -r ${NIX_PIDFILE} ]; then
+ if ! ps axc | grep nix-daemon 1> /dev/null 2> /dev/null ; then
+ echo "Cleaning up old ${NIX_PIDFILE}."
+ rm -f ${NIX_PIDFILE}
+ fi
+ fi
+ nohup "${UNSHARE}" -m -- ${NIX} >> ${NIX_LOG} 2>&1 &
+ echo $! > ${NIX_PIDFILE}
+ fi
+}
+
+# Stop nix:
+nix_stop() {
+ echo "stopping $BASE ..."
+ # If there is no PID file, ignore this request...
+ if [ -r ${NIX_PIDFILE} ]; then
+ kill $(cat ${NIX_PIDFILE})
+ fi
+ rm -f ${NIX_PIDFILE}
+}
+
+# Restart docker:
+nix_restart() {
+ nix_stop
+ nix_start
+}
+
+case "$1" in
+'start')
+ nix_start
+ ;;
+'stop')
+ nix_stop
+ ;;
+'restart')
+ nix_restart
+ ;;
+'status')
+ if [ -f ${NIX_PIDFILE} ] && ps -o cmd $(cat ${NIX_PIDFILE}) | grep -q $BASE ; then
+ echo "status of $BASE: running"
+ else
+ echo "status of $BASE: stopped"
+ fi
+ ;;
+*)
+ echo "usage $0 start|stop|restart|status"
+esac
+
+exit 0
diff --git a/private/nix/doinst.sh b/private/nix/doinst.sh
new file mode 100644
index 0000000..032197f
--- /dev/null
+++ b/private/nix/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.nix.new
diff --git a/private/nix/nix.SlackBuild b/private/nix/nix.SlackBuild
new file mode 100644
index 0000000..871e5c5
--- /dev/null
+++ b/private/nix/nix.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Slackware build script for nix
+
+# Copyright 2015 Pragmatic Cypher <slackbuilds@server.ky>
+# Copyright 2020 Eugen Wissner, Dachau, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nix
+VERSION=${VERSION:-2.3.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${VERSION}.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --sysconfdir=/etc \
+ --with-sandbox-shell=/bin/bash \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -D --mode 0755 $CWD/config/rc.nix $PKG/etc/rc.d/rc.nix.new
+mkdir -p $PKG/nix
+mkdir -p $PKG/var/nix/profiles
+mkdir -p $PKG/nix/var/nix/profiles
+mkdir -p $PKG/nix/var/nix/daemon-socket
+
+rm -fr $PKG/etc/init.d
+rm -fr $PKG/usr/lib/systemd
+
+mv $PKG/usr/lib/pkgconfig/ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+if [ "$ARCH" = "x86_64" ]; then
+ rm -rf $PKG/usr/lib
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/nix/nix.info b/private/nix/nix.info
new file mode 100644
index 0000000..477c931
--- /dev/null
+++ b/private/nix/nix.info
@@ -0,0 +1,10 @@
+PRGNAM="nix"
+VERSION="2.3.9"
+HOMEPAGE="http://nixos.org/nix"
+DOWNLOAD="http://nixos.org/releases/nix/nix-2.3.9/nix-2.3.9.tar.xz"
+MD5SUM="1b8b35a2c7870b320598bb7179e8fb13"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="editline libseccomp"
+MAINTAINER="Pragmatic Cypher"
+EMAIL="slackbuilds@server.ky"
diff --git a/private/nix/slack-desc b/private/nix/slack-desc
new file mode 100644
index 0000000..4fac728
--- /dev/null
+++ b/private/nix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nix: nix (package manager)
+nix:
+nix: The purely functional package manager.
+nix:
+nix:
+nix:
+nix:
+nix:
+nix:
+nix:
+nix:
diff --git a/private/php-pgsql/README b/private/php-pgsql/README
new file mode 100644
index 0000000..f33e29e
--- /dev/null
+++ b/private/php-pgsql/README
@@ -0,0 +1,5 @@
+This extension enables PHP to connect to and use PostgreSQL databases.
+
+To enable the pgsql extension for php, go to /etc/php.d/pgsql.ini
+and uncomment the line:
+ ; extension=pgsql.so
diff --git a/private/php-pgsql/doinst.sh b/private/php-pgsql/doinst.sh
new file mode 100644
index 0000000..b4fdb0a
--- /dev/null
+++ b/private/php-pgsql/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php.d/pgsql.ini.new
+config etc/php.d/pdo_pgsql.ini.new
+
diff --git a/private/php-pgsql/pdo_pgsql.ini b/private/php-pgsql/pdo_pgsql.ini
new file mode 100644
index 0000000..f56e175
--- /dev/null
+++ b/private/php-pgsql/pdo_pgsql.ini
@@ -0,0 +1,2 @@
+; Enable pdo_pgsql extension module
+; extension=pdo_pgsql.so
diff --git a/private/php-pgsql/pgsql.ini b/private/php-pgsql/pgsql.ini
new file mode 100644
index 0000000..017cd7f
--- /dev/null
+++ b/private/php-pgsql/pgsql.ini
@@ -0,0 +1,21 @@
+; Enable pgsql extension module
+; extension=pgsql.so
+
+; Whether to allow persistent Postgres connections.
+; pgsql.allow_persistent="1"
+
+; The maximum number of persistent Postgres connections per process.
+; pgsql.max_persistent="-1"
+
+; The maximum number of Postgres connections per process, including persistent connections.
+; pgsql.max_links="-1"
+
+; Detect broken persistent links with pg_pconnect(). Needs a little overhead.
+; pgsql.auto_reset_persistent="0"
+
+; Whether or not to ignore PostgreSQL backend notices.
+; pgsql.ignore_notice="0"
+
+; Whether or not to log PostgreSQL backends notice messages. The PHP directive
+; pgsql.ignore_notice must be off in order to log notice messages.
+; pgsql.log_notice="0"
diff --git a/private/php-pgsql/php-pgsql.SlackBuild b/private/php-pgsql/php-pgsql.SlackBuild
new file mode 100755
index 0000000..9f5e79b
--- /dev/null
+++ b/private/php-pgsql/php-pgsql.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+# Slackware build script for php-pgsql
+
+# Copyright 2012-2017 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=php
+PRGNAM=php-pgsql
+VERSION=${VERSION:-5.6.30}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PHP_CONFIG=/usr/bin/php-config
+EXTENSION_DIR="$PKG/$($PHP_CONFIG --extension-dir)"
+
+cd ext/pgsql/
+
+/usr/bin/phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux
+
+make
+
+mkdir -p $EXTENSION_DIR $PKG/etc/php.d
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+cd -
+
+cd ext/pdo_pgsql
+
+/usr/bin/phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux
+
+make
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+cd -
+
+install -m 644 $CWD/pgsql.ini $PKG/etc/php.d/pgsql.ini.new
+install -m 644 $CWD/pdo_pgsql.ini $PKG/etc/php.d/pdo_pgsql.ini.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{pgsql,pdo_pgsql}
+cp ext/pgsql/CREDITS $PKG/usr/doc/$PRGNAM-$VERSION/pgsql/
+cp ext/pdo_pgsql/CREDITS $PKG/usr/doc/$PRGNAM-$VERSION/pdo_pgsql/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/php-pgsql/php-pgsql.info b/private/php-pgsql/php-pgsql.info
new file mode 100644
index 0000000..b01ec74
--- /dev/null
+++ b/private/php-pgsql/php-pgsql.info
@@ -0,0 +1,10 @@
+PRGNAM="php-pgsql"
+VERSION="5.6.30"
+HOMEPAGE="http://php.net/manual/en/book.pgsql.php"
+DOWNLOAD="https://secure.php.net/distributions/php-5.6.30.tar.xz"
+MD5SUM="68753955a8964ae49064c6424f81eb3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/private/php-pgsql/slack-desc b/private/php-pgsql/slack-desc
new file mode 100644
index 0000000..a980199
--- /dev/null
+++ b/private/php-pgsql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+php-pgsql: php-pgsql (PostgreSQL bindings for PHP)
+php-pgsql:
+php-pgsql: This extension enables PHP to connect to and use PostgreSQL
+php-pgsql: databases.
+php-pgsql:
+php-pgsql: Homepage: http://php.net/manual/en/book.pgsql.php
+php-pgsql:
+php-pgsql:
+php-pgsql:
+php-pgsql:
+php-pgsql:
diff --git a/private/postfix-pgsql/README b/private/postfix-pgsql/README
new file mode 100644
index 0000000..51f192d
--- /dev/null
+++ b/private/postfix-pgsql/README
@@ -0,0 +1,25 @@
+Postfix is Wietse Venema's mailer that started life as an alternative to the
+widely-used Sendmail program. It attempts to be fast, easy to administer, and
+secure, while at the same time, being sendmail compatible enough to not upset
+existing users. Thus, the outside has a sendmail-ish flavor, but the inside is
+completely different.
+
+This script builds postfix with support for Dovecot SASL, Cyrus SASL, and
+TLS (using OpenSSL.) Support for Berkeley DB hash and btree maps, being a
+Postfix requirement, is also detected and built.
+
+In addition database plugins are built for LDAP, MySQL, PCRE and sqlite3. To
+add support for additional database plugins which are not provided in
+Slackware, such as CDB or PostgreSQL, it is necessary to recompile this
+package. See the comments in the SlackBuild script to get started.
+
+Postfix manual sections follow the BSD standard, where section 8 is only for
+daemons, and all user commands, even root-user-only administrative commands
+such as postfix(1), are in section 1.
+
+Postfix is exceptionally well documented. If you put a link to your
+html_directory (/usr/doc/postfix/html) somewhere you can find it in your
+favorite browser, all of this will be readily available to you. The place
+to start is not with man pages, but with the various READMEs, all HTMLified
+and with convenient hyperlinks to the relevant anchors in the HTML versions
+of the manuals.
diff --git a/private/postfix-pgsql/postfix-pgsql.SlackBuild b/private/postfix-pgsql/postfix-pgsql.SlackBuild
new file mode 100755
index 0000000..b60c52b
--- /dev/null
+++ b/private/postfix-pgsql/postfix-pgsql.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+#
+# Copyright 2006, 2011 Alan Hicks, Lizella, GA
+# Copyright 2010, 2011, 2013, 2014, 2015, 2016, 2017 Mario Preksavec, Zagreb, Croatia
+# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2020 Eugen Wissner, Dachau, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=postfix-pgsql
+VERSION=${VERSION:-3.5.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM=postfix
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# Fix postfix-script so that it won't think a symlink in /etc/postfix is
+# group writable. Only warn about regular files there.
+patch -p1 --verbose -i $CWD/postfix.only.warn.regular.files.diff
+
+# Make the postfix startup message look more like the other boot notices:
+patch -p1 --verbose -i $CWD/postfix.script.starting.message.diff
+
+PGSQLARGS="-I/usr/include/postgresql -DHAS_PGSQL"
+
+### CHANGING BUILT-IN DOCUMENTATION PATH SETTINGS
+#
+# If we try to use postfix-$VERSION in any of these paths, we'll get a compile
+# failure: "error: too many decimal points in number"
+# So we're pretty much forced to leave things as postfix expects them.
+PATHARGS="'-DDEF_HTML_DIR=\"/usr/doc/postfix/html\"' \
+ '-DDEF_MANPAGE_DIR=\"/usr/man\"' \
+ '-DDEF_README_DIR=\"/usr/doc/postfix/readme\"'"
+
+make makefiles dynamicmaps=yes pie=yes shared=yes \
+ shlib_directory=/usr/lib${LIBDIRSUFFIX}/postfix/MAIL_VERSION \
+ CCARGS="$PGSQLARGS $PATHARGS" \
+ AUXLIBS_PGSQL="-L/usr/lib${LIBDIRSUFFIX}/postgresql/12/lib -lpq -lz -lm" \
+ OPT="$SLKCFLAGS" DEBUG=""
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/postfix/$VERSION
+cp -a lib/postfix-pgsql.so $PKG/usr/lib${LIBDIRSUFFIX}/postfix/$VERSION/
+
+strip --strip-unneeded $PKG/usr/lib${LIBDIRSUFFIX}/postfix/$VERSION/postfix-pgsql.so
+
+mkdir -p $PKG/etc/postfix/dynamicmaps.cf.d
+echo "pgsql postfix-pgsql.so dict_pgsql_open" > $PKG/etc/postfix/dynamicmaps.cf.d/pgsql.cf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/postfix-pgsql/postfix-pgsql.info b/private/postfix-pgsql/postfix-pgsql.info
new file mode 100644
index 0000000..1cc1d54
--- /dev/null
+++ b/private/postfix-pgsql/postfix-pgsql.info
@@ -0,0 +1,10 @@
+PRGNAM="postfix-pgsql"
+VERSION="3.5.8"
+HOMEPAGE="http://www.postfix.org/"
+DOWNLOAD="http://cdn.postfix.johnriley.me/mirrors/postfix-release/official/postfix-3.5.8.tar.gz"
+MD5SUM="c7c55ccc1db2a30d35c3867c21fe7109"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql"
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/private/postfix-pgsql/postfix.only.warn.regular.files.diff b/private/postfix-pgsql/postfix.only.warn.regular.files.diff
new file mode 100644
index 0000000..2b6b788
--- /dev/null
+++ b/private/postfix-pgsql/postfix.only.warn.regular.files.diff
@@ -0,0 +1,11 @@
+--- ./conf/postfix-script.orig 2016-01-31 15:05:46.000000000 -0600
++++ ./conf/postfix-script 2017-11-05 15:09:40.838097647 -0600
+@@ -275,7 +275,7 @@
+ find $todo ! -user root \
+ -exec $WARN not owned by root: {} \;
+
+- find $todo \( -perm -020 -o -perm -002 \) \
++ find $todo -type f \( -perm -020 -o -perm -002 \) \
+ -exec $WARN group or other writable: {} \;
+
+ # Check Postfix mail_owner-owned directory tree owner/permissions.
diff --git a/private/postfix-pgsql/postfix.script.starting.message.diff b/private/postfix-pgsql/postfix.script.starting.message.diff
new file mode 100644
index 0000000..c32a953
--- /dev/null
+++ b/private/postfix-pgsql/postfix.script.starting.message.diff
@@ -0,0 +1,14 @@
+--- ./conf/postfix-script.orig 2019-02-28 13:02:24.783759137 -0600
++++ ./conf/postfix-script 2019-02-28 13:05:25.516761071 -0600
+@@ -139,7 +139,10 @@
+ # Foreground this so it can be stopped. All inodes are cached.
+ $daemon_directory/postfix-script check-warn
+ fi
+- $INFO starting the Postfix mail system || exit 1
++ $INFO starting the Postfix mail system > /dev/null 2> /dev/null || exit 1
++ # Because this is called during Slackware init, let's make it look
++ # similar to everything else printed on the screen:
++ echo "Starting the Postfix mail system: $command_directory/postfix start"
+ case $1 in
+ start)
+ # NOTE: wait in foreground process to get the initialization status.
diff --git a/private/postfix-pgsql/slack-desc b/private/postfix-pgsql/slack-desc
new file mode 100644
index 0000000..0717ed7
--- /dev/null
+++ b/private/postfix-pgsql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+postfix-pgsql: postfix (mail transport and submission agent)
+postfix-pgsql:
+postfix-pgsql: Postfix attempts to be fast, easy to administer, and secure, while at
+postfix-pgsql: the same time being sendmail compatible enough to not upset existing
+postfix-pgsql: users. Thus, the outside has a sendmail-ish flavor, but the inside is
+postfix-pgsql: completely different.
+postfix-pgsql:
+postfix-pgsql: Homepage: http://www.postfix.org
+postfix-pgsql:
+postfix-pgsql:
+postfix-pgsql: